mask.h File Reference
`#include "osl/config.h"`
`#include <cassert>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

struct | osl::misc::Bsf< unsigned int >
struct | osl::misc::Bsf< unsigned short >
struct | osl::misc::Bsf< unsigned long long >
struct | osl::misc::Bsr< unsigned int >
struct | osl::misc::Bsr< unsigned long long >
struct | osl::misc::BitOp
class | osl::misc::GeneralMask< Integer >
struct | osl::BitOp

## Namespaces

namespace | osl
namespace | osl::misc

## Typedefs

typedef GeneralMask< unsigned long long > | osl::misc::Mask64
typedef unsigned long long | osl::misc::mask_int_t
typedef GeneralMask< mask_int_t > | osl::misc::mask_t
typedef unsigned long long | osl::mask_int_t
typedef GeneralMask< mask_int_t > | osl::mask_t
typedef GeneralMask< unsigned long long > | osl::Mask64

## Functions

template<class Integer>
bool | osl::misc::operator== (const GeneralMask< Integer > &l, const GeneralMask< Integer > &r)
template<class Integer>
bool | osl::misc::operator!= (const GeneralMask< Integer > &l, const GeneralMask< Integer > &r)
template<class Integer>
bool | osl::misc::operator< (const GeneralMask< Integer > &l, const GeneralMask< Integer > &r)
template<class Integer>
const GeneralMask< Integer > | osl::misc::operator& (GeneralMask< Integer > l, GeneralMask< Integer > r)
template<class Integer>
const GeneralMask< Integer > | osl::misc::operator| (GeneralMask< Integer > l, GeneralMask< Integer > r)
template<class Integer>
const GeneralMask< Integer > | osl::misc::operator^ (GeneralMask< Integer > l, GeneralMask< Integer > r)
template<class Integer>
const GeneralMask< Integer > | osl::misc::operator<< (GeneralMask< Integer > m, int shift)
template<class Integer>
const GeneralMask< Integer > | osl::misc::operator>> (GeneralMask< Integer > m, int shift)
std::ostream & | osl::misc::operator<< (std::ostream &, const mask_t &)